Results 1 to 9 of 9

Thread: Epiphany 3.0.0

  1. #1
    Join Date
    Apr 2007
    Location
    Ottawa ON Canada
    Beans
    193
    Distro
    Lubuntu 18.04 Bionic Beaver

    Arrow Epiphany 3.0.0

    I am running the Epiphany browser version 2.30.2 on Lubuntu 10.10 and noted that the source code for the newest version, 3.0.0, is available on Gnome projects.

    In checking Launchpad there seems to be no plan to include this new version in the 10.10 repository or even in the 11.04 repository.

    If I have Epiphany 2.30.2 and its dependencies all installed. Is it possible to install Epiphany 3.0.0 from the source code and if so what are the step-by-step commands to do this?
    Last edited by Ahunt; April 10th, 2011 at 10:51 PM.

  2. #2
    wojox is offline I Ubuntu, Therefore, I Am
    Join Date
    Apr 2009
    Beans
    8,628

    Re: Epiphany 3.0.0

    Don't know if this helps, but I've got this installed in Arch:

    Code:
    [wojox@wojox-desktop ~]$ sudo pacman -Qi epiphany
    Name           : epiphany
    Version        : 3.0.0-1
    URL            : http://www.gnome.org/projects/epiphany/
    Licenses       : GPL
    Groups         : gnome
    Provides       : None
    Depends On     : libsoup-gnome  gsettings-desktop-schemas  libwebkit3  nss  iso-codes  dconf
                     gobject-introspection  desktop-file-utils  hicolor-icon-theme
    Optional Deps  : None
    Required By    : None
    Conflicts With : None
    Replaces       : None
    Installed Size : 11732.00 K
    Packager       : Jan "heftig" Steffens <jan.steffens@gmail.com>
    Architecture   : x86_64
    Build Date     : Tue 05 Apr 2011 01:35:29 AM CDT
    Install Date   : Sun 10 Apr 2011 07:01:42 PM CDT
    Install Reason : Explicitly installed
    Install Script : Yes
    Description    : A GNOME3 web browser based on the WebKit rendering engine.

  3. #3
    Join Date
    Dec 2008
    Location
    43° 7' 41" 131° 54' 3"
    Beans
    Hidden!

    Re: Epiphany 3.0.0

    You could try adding this ppa to your sources.
    Don't expect a drop-in....there might be dependencies you'll have to satisfy. It can be done.
    Last edited by jtarin; April 12th, 2011 at 02:28 AM.
    EasyBCD.
    PrintersDatabase
    Boot Info Script: How to
    The post above and the post below suffer from the Rashomon effect!

  4. #4
    Join Date
    Feb 2010
    Location
    Chicago metro
    Beans
    1,310
    Distro
    Ubuntu Development Release

    Re: Epiphany 3.0.0

    Quote Originally Posted by jtarin View Post
    You could try adding this ppa to your sources.
    Don't expect a drop-in....there might be dependencies you'll have to satisfy. It can be done.
    That ppa only has two packages in it and they are for natty. To run epiphany 3.0 you should be running gnome 3.0. Your best bet is

    https://launchpad.net/~gnome3-team/+archive/gnome3

    although this is also only for natty.

    If you want to use gnome3 in maverick, you are going to have to build it yourself using jhbuid.
    If this helped you, please take the time to rate the value of this post:
    http://rate.affero.net/andrewthomas/

  5. #5
    Join Date
    Dec 2008
    Location
    43° 7' 41" 131° 54' 3"
    Beans
    Hidden!

    Re: Epiphany 3.0.0

    Quote Originally Posted by andrewthomas View Post
    That ppa only has two packages in it and they are for natty. To run epiphany 3.0 you should be running gnome 3.0. Your best bet is

    https://launchpad.net/~gnome3-team/+archive/gnome3

    although this is also only for natty.

    If you want to use gnome3 in maverick, you are going to have to build it yourself using jhbuid.
    @andrewthomas ....Your right....my bad overlooking that.

    This will give you an idea of what your up against when it comes to resolving dependencies....and this will only be the tip of the iceberg. You would be better off just upgrading your OS if you want the browser that bad. I would read the changelog and see if it something your really need.
    EasyBCD.
    PrintersDatabase
    Boot Info Script: How to
    The post above and the post below suffer from the Rashomon effect!

  6. #6
    Join Date
    Apr 2007
    Location
    Ottawa ON Canada
    Beans
    193
    Distro
    Lubuntu 18.04 Bionic Beaver

    Re: Epiphany 3.0.0

    Thank you everyone for your responses. I was hoping it would be just a matter of compiling and installing the source code from the command line, but looking at what you have indicated here and the refs provided it looks far too complex to do, especially since I am running Lubuntu, which doesn't use Gnome!

    I am mostly curious to try out Epiphany 3.0.0 to see if they resolved any of the serious bugs in 2.30.2 and whether it works better than that version, but I think jtarin is right, it would be easier to try out a different distro, like Arch, that already has Gnome 3.0 rather than trying to make it work on Lubuntu! Right now it doesn't look like it will turn up in the regular Ubuntu channels before Oneiric Ocelot!

    Thank you all again for all your help!

  7. #7
    Join Date
    Oct 2005
    Beans
    552
    Distro
    Lubuntu 16.04 Xenial Xerus

    Re: Epiphany 3.0.0

    exactly what i just searched for and only SLIGHTLY old!!

    has to make one wonder how you can call linux/ubuntu secure when all their browsers, except firefox (yuck!) are so out dated?

    just went through mega changes trying to figure out how to get most current version of seamonkey installed, which turned out to be quite easy even though finding anything in these forums was next to impossible!

    just installed epiphany and instantly saw how old it was. was wondering if running the apt command from the epiphany website would install most current version? sudo apt-get install epiphany-browser probably not, huh?

    thanks

  8. #8
    Join Date
    Apr 2007
    Location
    Ottawa ON Canada
    Beans
    193
    Distro
    Lubuntu 18.04 Bionic Beaver

    Re: Epiphany 3.0.0

    Actually if you install Ubuntu 11.10 (due out today) then the repostories have the latest version of Epiphany, which is 3.0.4.

    I am not sure why you would say all the browsers except Firefox are out of date. Even Ubuntu 11.04 now has the current version of Chromium which is 14.0.835.202.

  9. #9
    Join Date
    Oct 2005
    Beans
    552
    Distro
    Lubuntu 16.04 Xenial Xerus

    Re: Epiphany 3.0.0

    upgrade the whole freaking os just to update a browser. no wonder linux isn't going anywhere and is basically nothing more than toy, for most people, myself included.

    oh yeah, chromium. another yuck, fanboy browser!!

    so much for choice, huh?

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •